Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Class GenSeverity

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.codegen.gmfgen.GenSeverity

All Implemented Interfaces:
  Enumerator

public final class GenSeverity
extends AbstractEnumerator

A representation of the literals of the enumeration 'Gen Severity', and utility methods for working with them.

See Also:
  `GMFGenPackage.getGenSeverity()`
** Generated **
Model:

Field Summary
`static int` `ERROR` The 'ERROR' literal value
`static GenSeverity` `ERROR_LITERAL` The 'ERROR' literal object
`static int` `INFO` The 'INFO' literal value
`static GenSeverity` `INFO_LITERAL` The 'INFO' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Gen Severity' enumerators
`static int` `WARNING` The 'WARNING' literal value
`static GenSeverity` `WARNING_LITERAL` The 'WARNING' literal object

Method Summary
`static GenSeverity` `get(int value)` Returns the 'Gen Severity' literal with the specified integer value
`static GenSeverity` `get(java.lang.String literal)` Returns the 'Gen Severity' literal with the specified literal value
`static GenSeverity` `getByName(java.lang.String name)` Returns the 'Gen Severity' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INFO

    public static final int INFO

  The 'INFO' literal value.

  If the meaning of 'INFO' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GenSeverity.INFO_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### WARNING

    public static final int WARNING

  The 'WARNING' literal value.

  If the meaning of 'WARNING' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GenSeverity.WARNING_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### ERROR

    public static final int ERROR

  The 'ERROR' literal value.

  If the meaning of 'ERROR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GenSeverity.ERROR_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### INFO_LITERAL

    public static final GenSeverity INFO_LITERAL

  The 'INFO' literal object.

  See Also:
    `GenSeverity.INFO`
  ** Generated **
  Ordered:

### WARNING_LITERAL

    public static final GenSeverity WARNING_LITERAL

  The 'WARNING' literal object.

  See Also:
    `GenSeverity.WARNING`
  ** Generated **
  Ordered:

### ERROR_LITERAL

    public static final GenSeverity ERROR_LITERAL

  The 'ERROR' literal object.

  See Also:
    `GenSeverity.ERROR`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Gen Severity' enumerators.

  ** Generated **

Method Detail

### get

    public static GenSeverity get(java.lang.String literal)

  Returns the 'Gen Severity' literal with the specified literal value.

  ** Generated **

### getByName

    public static GenSeverity getByName(java.lang.String name)

  Returns the 'Gen Severity' literal with the specified name.

  ** Generated **

### get

    public static GenSeverity get(int value)

  Returns the 'Gen Severity' literal with the specified integer value.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.